Bug 434658 - latest rawhide xserver crashes when trying to run Portal in wine
latest rawhide xserver crashes when trying to run Portal in wine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 20:49 EST by Adam Goode
Modified: 2009-07-14 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log of crash (72.90 KB, text/plain)
2008-02-23 20:49 EST, Adam Goode
no flags Details

  None (edit)
Description Adam Goode 2008-02-23 20:49:25 EST
Description of problem:
When trying to run the game Portal under Wine, X crashes.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-1.fc9.x86_64
mesa-libGL-7.1-0.16.fc9.x86_64
xorg-x11-server-Xorg-1.4.99.1-0.23.20080222.fc9.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Run this: wine "C:\\program files\\steam\\steamapps\\XXXX\\portal\\hl2.exe"
-game portal -novid -window -width 1024 -height 768 -dxlevel 80
  
Actual results:
Crash.

Expected results:
Cake.

Additional info:
Various logs attached.
Comment 1 Adam Goode 2008-02-23 20:49:25 EST
Created attachment 295725 [details]
Xorg.0.log of crash
Comment 2 Adam Goode 2008-02-23 20:55:56 EST
Here is the gdb backtrace:

Program received signal SIGABRT, Aborted.
0x0000003550832e65 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
#0  0x0000003550832e65 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00000035508349d3 in abort () at abort.c:88
#2  0x0000000000460919 in ddxGiveUp () at xf86Init.c:1270
#3  0x00000000004f4f58 in AbortServer () at log.c:406
#4  0x00000000004f5625 in FatalError (
    f=0x5736a0 "Caught signal %d.  Server aborting\n") at log.c:552
#5  0x000000000047a758 in xf86SigHandler (signo=11) at xf86Events.c:766
#6  <signal handler called>
#7  __glXDeassociateContext (glxc=0x18f5820) at glxutil.c:87
#8  0x00007f52fe4f93df in __glXContextDestroy (context=0x29dd560)
    at glxcmds.c:152
#9  0x00007f52fe52823a in __glXDRIcontextDestroy (baseContext=0x18f5820)
    at glxdri.c:304
#10 0x00007f52fe4fb56c in __glXFreeContext (cx=0x18f5820) at glxext.c:140
#11 0x00007f52fe4fb5b3 in ContextGone (cx=0x29dd560, id=1351855592)
    at glxext.c:98
#12 0x000000000042e3e5 in FreeResourceByType (id=96469100, type=52, skipFree=0)
    at resource.c:597
#13 0x00007f52fe4f7f2e in __glXDisp_DestroyContext (cl=<value optimized out>, 
    pc=<value optimized out>) at glxcmds.c:339
#14 0x00007f52fe4fb8d2 in __glXDispatch (client=0x20ba810) at glxext.c:492
#15 0x000000000044602c in Dispatch () at dispatch.c:469
#16 0x000000000042c6dd in main (argc=6, argv=0x7fff06db7748, 
    envp=<value optimized out>) at main.c:439


It looks like the value of glxc in frame 7 is:
{destroy = 0x3550b6bac0 <main_arena+320>, 
  resize = 0x3550b6bac0 <main_arena+320>, swapBuffers = 0x20020888, 
  copySubBuffer = 0x3000904c00281, last = 0x0, next = 0x3001f00000020, 
  pDraw = 0x0, drawId = 0, type = 0, modes = 0x0, drawGlxc = 0x4001100000000, 
  readGlxc = 0x0, refCount = 88021, target = 0, eventMask = 33401344}

drawGlxc is an invalid pointer.
Comment 3 Adam Goode 2008-02-24 19:00:32 EST
Looks like gcc is miscompiling this.

The cast at line 295 of glxdri.c is going wrong.
    __GLXDRIcontext *context = (__GLXDRIcontext *) baseContext;

When I have gdb print baseContext:
  $5 = (__GLXcontext *) 0x2c62270
and context:
  $6 = (__GLXDRIcontext *) 0x160002000b


I will try to figure out where this gets clobbered.
Comment 4 Adam Goode 2008-02-24 19:26:08 EST
Ok, I don't think gcc is miscompiling here. I think that was a strange artifact
of gdb. The cast is working.

The main problem is perhaps that a next pointer somewhere is not nulled out.
Suspicious that the low 4 bytes if drawGlxc are 0 and I'm on 64-bit.
Comment 5 Bug Zapper 2008-05-14 01:36:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-01-07 11:25:59 EST
Just for the sake of completeness:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x47a705]
1: /lib64/libc.so.6 [0x3550832ef0]
2: /usr/lib64/xorg/modules/extensions//libglx.so(__glXDeassociateContext+0x2d) [0x7f52fe4fcc1d]
3: /usr/lib64/xorg/modules/extensions//libglx.so(__glXContextDestroy+0xf) [0x7f52fe4f93df]
4: /usr/lib64/xorg/modules/extensions//libglx.so [0x7f52fe52823a]
5: /usr/lib64/xorg/modules/extensions//libglx.so(__glXFreeContext+0x6c) [0x7f52fe4fb56c]
6: /usr/lib64/xorg/modules/extensions//libglx.so [0x7f52fe4fb5b3]
7: /usr/bin/Xorg(FreeResourceByType+0x105) [0x42e3e5]
8: /usr/lib64/xorg/modules/extensions//libglx.so [0x7f52fe4f7f2e]
9: /usr/lib64/xorg/modules/extensions//libglx.so [0x7f52fe4fb8d2]
10: /usr/bin/Xorg(Dispatch+0x38c) [0x44602c]
11: /usr/bin/Xorg(main+0x45d) [0x42c6dd]
12: /lib64/libc.so.6(__libc_start_main+0xfa) [0x355081e36a]
13: /usr/bin/Xorg(FontFileCompleteXLFD+0x281) [0x42bab9]
Comment 7 Bug Zapper 2009-06-09 19:37:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:33:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.